package heartburnic

import android.content.Context
import android.view.ViewGroup
import com.easy.clean.R
import autonomyic.polemicalic.congestionic.Unwindic
import autonomyic.polemicalic.congestionic.Circumcisionic
import tooic.fatalityic.redic.speckledic.hankeringic.Resuscitateic.inflate
import com.chad.library.adapter4.BaseQuickAdapter

class Neutralizeic(
    val layout: Int
) : BaseQuickAdapter<Any, Chairic>() {

    override fun onBindViewHolder(holder: Chairic, position: Int, item: Any?) {

        item ?: return
        val flAd: Circumcisionic? = holder.itemView.findViewById(R.id.protectic)

        flAd?.let { Unwindic.showNative(it, R.layout.explanatoryic) }
    }

    override fun onCreateViewHolder(
        context: Context,
        parent: ViewGroup,
        viewType: Int
    ): Chairic {
        return Chairic(layout.inflate(parent))
    }
}